#ifndef __CLowerTriangularMatrix__
#define __CLowerTriangularMatrix__
#include "CTriangularMatrix.h"
#include <iostream>

using namespace std;

class CLowerTriangularMatrix : public CTriangularMatrix {
private:


public :
	CLowerTriangularMatrix();
	~CLowerTriangularMatrix();
	CLowerTriangularMatrix(const CLowerTriangularMatrix&);
	CLowerTriangularMatrix(int, int, double = 0.0);
	CLowerTriangularMatrix& operator+(const CTriangularMatrix&) const;
	CLowerTriangularMatrix& operator-(const CTriangularMatrix&) const;
	CLowerTriangularMatrix& operator-() const;
	CTriangularMatrix& operator~() const;
	CLowerTriangularMatrix& operator/(double) const;
	CLowerTriangularMatrix& clone() const;
	CLowerTriangularMatrix& operator*(const CTriangularMatrix&) const; 
	CVector& col(int) const;
	CVector& getRow(int) const;
	double& operator()(int, int) const;
} ;
#endif
