#ifndef __CUpperTriangularMatrix__
#define __CUpperTriangularMatrix__
#include "CTriangularMatrix.h"
#include <iostream>

using namespace std;

class CUpperTriangularMatrix : public CTriangularMatrix {
private:


public :
	CUpperTriangularMatrix();
	~CUpperTriangularMatrix();
	CUpperTriangularMatrix(const CUpperTriangularMatrix&);
	CUpperTriangularMatrix(int, int, double = 0.0);
	CUpperTriangularMatrix& operator+(const CTriangularMatrix&) const;
	CUpperTriangularMatrix& operator-(const CTriangularMatrix&) const;
	CUpperTriangularMatrix& operator-() const;
	CUpperTriangularMatrix& operator/(double) const;
	CTriangularMatrix& operator~() const;
	CUpperTriangularMatrix& clone() const;
	CUpperTriangularMatrix& operator*(const CTriangularMatrix&) const; 
	CVector& col(int) const;
	CVector& getRow(int) const;
	double& operator()(int, int) const;
} ;
#endif
