#include  "CVector.h"
#include  "CMatrix.h"
#include  "CUpperTriangularMatrix.h"
#include  "CLowerTriangularMatrix.h"
#include <iostream>

using namespace std;

int main()
{
	CLowerTriangularMatrix A(3, 3, 1);
	CLowerTriangularMatrix B(3, 3, 2);
	CUpperTriangularMatrix E(3, 3, 1);
	CUpperTriangularMatrix F(3, 3, 2);

	CTriangularMatrix& C = A;
	CTriangularMatrix& D = B;

	B = A;
	A(1, 1) = 3;


	cout << C;
	cout << D;
        CTriangularMatrix* pArr[5];
	
	pArr[0] = &(C + D) ;
	pArr[1] = &(C - D) ;
	pArr[2] = &(C / 2.) ;
	pArr[3] = &(C* D) ;
	pArr[4] = &(~C) ;

	for (int i=0;i<sizeof(pArr)/sizeof(CTriangularMatrix*);i++)
	    cout << *pArr[i];	

	for (int i=0;i<sizeof(pArr)/sizeof(CTriangularMatrix*);i++)
   	    delete pArr[i];

	CTriangularMatrix& G = E;
	CTriangularMatrix& H = F;
	B = A;
	A(1, 1) = 3;

	cout << G;
	cout << H;

	pArr[0] = &(G + H) ;
	pArr[1] = &(G - H) ;
	pArr[2] = &(G / 2.) ;
	pArr[3] = &(G * H) ;
        pArr[4] = &(~G);

	for (int i=0;i<sizeof(pArr)/sizeof(CTriangularMatrix*);i++)
	    cout << *pArr[i];	

	for (int i=0;i<sizeof(pArr)/sizeof(CTriangularMatrix*);i++)
   	    delete pArr[i];

	return 0;
}

